[XPS 15 9550, Realtek ALC3266] Headphone jack stops working after a while

Bug #1575078 reported by Ivan Koptiev on 2016-04-26
154
This bug affects 30 people
Affects Status Importance Assigned to Milestone
alsa-driver (Ubuntu)
Medium
Unassigned

Bug Description

I'm experiencing a strange behavior with a headphone jack on my laptop.

I have an external audio speaker connected to it. When I disconnect the speaker and reconnect it again it stops working.
Even more, laptop audio stops working too. And after the reboot, I don't even see any of the audio devices.

I've googled a lot and tried different fixes from forums with no luck. After a while, I've accidentally discovered that putting the laptop to the sleep mode and rebooting system after brings audio back to live. Even more, if speakers were attached during this sleep-reboot procedure, they are starting to work as well.

However, after the next reboot speakers are not working again. And if I will plug them out and in - problem with completely missing audio returns.

P.S. I'm using laptop-mode-tools package on my laptop. Recovery after hibernation made me believe that it's somehow related. But after uninstalling this package nothing really changed.

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: alsa-base 1.0.25+dfsg-0ubuntu5
ProcVersionSignature: Ubuntu 4.4.0-21.37-generic 4.4.6
Uname: Linux 4.4.0-21-generic x86_64
ApportVersion: 2.20.1-0ubuntu2
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/pcmC0D0p: kop 3224 F...m pulseaudio
 /dev/snd/controlC0: kop 3224 F.... pulseaudio
CurrentDesktop: Unity
Date: Tue Apr 26 12:17:03 2016
EcryptfsInUse: Yes
InstallationDate: Installed on 2016-04-22 (3 days ago)
InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Release amd64 (20160420.1)
PackageArchitecture: all
SourcePackage: alsa-driver
Symptom: audio
Symptom_Card: Встроенное аудио - HDA Intel PCH
Symptom_Jack: Black Headphone Out, Left
Symptom_Type: Sound works for a while, then breaks
Title: [XPS 15 9550, Realtek ALC3266, Black Headphone Out, Left] fails after a while
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 04/07/2016
dmi.bios.vendor: Dell Inc.
dmi.bios.version: 01.02.00
dmi.board.name: 0N7TVV
dmi.board.vendor: Dell Inc.
dmi.board.version: A00
dmi.chassis.type: 9
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvr01.02.00:bd04/07/2016:svnDellInc.:pnXPS159550:pvr:rvnDellInc.:rn0N7TVV:rvrA00:cvnDellInc.:ct9:cvr:
dmi.product.name: XPS 15 9550
dmi.sys.vendor: Dell Inc.

Ivan Koptiev (ivan.koptiev) wrote :
Ivan Koptiev (ivan.koptiev) wrote :

Here is the output of "alsa-info.sh" when system works fine.

Ivan Koptiev (ivan.koptiev) wrote :

Here is the output of "alsa-info.sh" when audio is totally broken.

Ivan Koptiev (ivan.koptiev) wrote :

Here is the output of "alsa-info.sh" when only audio jack is broken.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in alsa-driver (Ubuntu):
status: New → Confirmed
Changed in alsa-driver (Ubuntu):
importance: Undecided → Medium
Jozef Peterka (jozef-peterka-0) wrote :

Hello,

I have the exact same hardware and exact same issue. Just wanted to mention that this is mostly upstream bug because it runs across many distros - Fedora for example, doing the same. I would even go as far as to say it's a regression in Kernel introduced with 4.4

Camilo Prieto (camilo0365) wrote :

Hello, I have a Dell XPS 15 9550 with Ubuntu GNOME 16.04. I managed to solve the issue by installing Kernel 4.7 RC3 from Mainline PPA and then running this commands in Terminal:

rm -r ~/.config/pulse/
pulseaudio -k && sudo alsa force-reload
sudo reboot

I have my headphones being detected automatically and audio output is smoothly transfered to them. Same when I unplug them. I rebooted again twice and I found out that worked to in Kernel 4.4 (Latest from Ubuntu repos).

Hope that helps.

The kernel 4.4.0-27-generic is fixing on my Dell XPS 15 9550 the headjack problems (now it always asks what I've connected, audio comes back after fresh-boot and from suspend also).

With kernel 4.4.0-24-generic I still have it as an option to boot, the problem still is reproduced (just to test back the error)

shinyblue (shinyblue) wrote :

Note: After a complete system re-install my audio had been working fine: **Stock kernel/Intel VGA/GDM/Gnome**

Then the problem re-occurred after I did some work with an alternative stack: **Stock kernel/Nvidia/lightdm/Gnome** and then switched back to my original stack.

**Perhaps lightdm does some dodgy low level configuration? Or perhaps it's something to do with using Nvidia (with prime-select nvidia)?**

(if you're wondering why I'd change my DM for a session it's because nvidia drivers + gdm = dead system. See https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1559576 so when I need the nvidia stuff for OpenCL support in Darktable I have to switch DMs.)

Back on the original stack, the command line fix in comment #7 worked for me on 4.4.0-24-generic after unplugging and re-plugging in the jack.

Regarding @shinyblue , on my configuration (lightdm/unity), sounds seems to work in all cases (new kernel 4.4.0-28-generic).

Only caveat I want to mention is that System Settings->Sound->Output shows two options with headphone connected, and selecting "Speakers. Built-in Audio" just mutes and produces no sound.

I'm tempted to report that last caveat in a new bug, but I'm not sure if it was one of the original problems reported by @ivan.koptiev and he didn't realize about this current limitation.

Hi,

just another workaround I found out - when I plug in the headphones and it is stuck (no sound) I will fix it by suspending - unsuspending the laptop - and the sound works again.

Ivan Koptiev (ivan.koptiev) wrote :

Here is a discussion about this bug:

http://en.community.dell.com/support-forums/laptop/f/3517/t/19661257?pi41097
https://www.reddit.com/r/Dell/comments/4e8mrb/headphone_issues_with_dell_xps_15_9550/

Some people are claiming that this issue can be solved by software. While other are telling that sound card replacement solves the issue.

When upgrading the kernel I've experienced a similar bug (I'm using stock-kernel). My headphones don't output any sound. It's fixed kind-of-permanently (until next upgrade) if I run similar commands to #7 and restart.

I take out the headphones then run:

rm -rf ~/.config/pulse/ && pulseaudio -k && sudo alsa force-reload

Then I reboot manually

I'm seeing the same problem on my XPS 9550, running Yakkety under kernel 4.8.0-17. I've had this problem for a lot longer, though. Headset detection doesn't work at all. Upon bootup audio is OK. after plugging in a pair of headphone (with MIC in the wire) all audio is killed, permanently, until after a reboot.

I'm working on a DELL XPS 9550 15"
with
4.4.0-38-generic #57-Ubuntu SMP

For me
rm -r ~/.config/pulse/
pulseaudio -k && sudo alsa force-reload

plus re-select the headphones output from the pulse GUI with no reboot

solves the problem.

archenroot (archenroot-gmail) wrote :

I am on Gentoo and facing similar situation with kernel 4.4.26-gentoo. I got few times into stage where the audio worked with built-in speakers, but after plugin of headphones the sound stopped working and unplug didn't get speakers working again -> all sound gone.

NOTE: The headphones plugin supports both headphones and microphone at single jack hole.

I am going to upgrade to some latest kernel(s) and see other version behavior.

archenroot (archenroot-gmail) wrote :

Some interesting update.

The card worked for last 5 months without issue on Windows 10, and worked under Gentoo(I installed gentoo 1 week ago) until I started plugin-in the headphones. It worked like this about 5x times and then the sound stopped working at all. The device was visible, but unusable under Linux and Windows. I tried to disable Audio in BIOS and rebooted, but no luck (few times).

Then today I was updating my drivers under Windows again and also flashed the BIOS with latest one (strange was that the version installed was same as new proposed, but number of features was different). Anyway I pickup the install, flashed the BIOS and voila the sound card is online and working :-)

I didn't do screenshots, but if this will happen again, I will try to do some more data capture.

So in general I got to situation reported by some other users which were asking Dell to replace audio card at all in the past (I was saying my wife that I will do the same this morning), but finally BIOS flash helped.

Deon Blaauw (blaauw-deon) wrote :

Having the same issue. As a workaround, I have also found that the headphones are detected after suspending the laptop. I have a Dell XPS 15 running Ubuntu 16.04.

Mark (varspare) wrote :

I'm on the XPS 9360
Ubuntu 16.04
BIOS 1.0.7

Suspending the laptop makes the headset detect for me but they headphones still don't work and the speakers stop working after that too, it doesn't matter what I select under 'sound'. It then seems to need a reboot to get the speakers back again (although I'm not 100% on that).

auto muting is disabled and I'm loading the snd-soc-rt286 in /etc/modules (as I only get sound from the left speaker otherwise).

USB speaker works fine.
None of my microphones work.

archenroot (archenroot-gmail) wrote :

Some Update from dual boot laptop with Win10 and Gentoo, but I think it is relevant.
Some of folks were referring to broken sound card, this happen to me as well. The card was not available on Linux neither on Win10. Even after disabling/re-enabling in bios didn't help. I started thinking it is really broken, but tried to flash the bios :-) and it got working again.

archenroot (archenroot-gmail) wrote :
Download full text (3.9 KiB)

I checked in file(location can differ on Ubuntu against Gentoo):
/usr/src/linux-4.8.6-gentoo/Documentation/sound/alsa/HD-Audio-Models.txt

for ALC3266 chip(which alsamixer is reporting) there is an entry:
ALC22x/23x/25x/269/27x/28x/29x (and vendor-specific ALC3xxx models)
======
  laptop-amic Laptops with analog-mic input
  laptop-dmic Laptops with digital-mic input
  alc269-dmic Enable ALC269(VA) digital mic workaround
  alc271-dmic Enable ALC271X digital mic workaround
  inv-dmic Inverted internal mic workaround
  headset-mic Indicates a combined headset (headphone+mic) jack
  headset-mode More comprehensive headset support for ALC269 & co
  headset-mode-no-hp-mic Headset mode support without headphone mic
  lenovo-dock Enables docking station I/O for some Lenovos
  hp-gpio-led GPIO LED support on HP laptops
  dell-headset-multi Headset jack, which can also be used as mic-in
  dell-headset-dock Headset jack (without mic-in), and also dock I/O
  alc283-dac-wcaps Fixups for Chromebook with ALC283
  alc283-sense-combo Combo jack sensing on ALC283
  tpt440-dock Pin configs for Lenovo Thinkpad Dock support

So these are models we could refer in /etc/modprobe.d/alsa.conf(again can differ on Ubuntu)
I mixed it with probe_mask which is known to handle some issues:
options snd-hda-intel single_cmd=1
options snd-hda-intel probe_mask=1
options snd-hda-intel model=headset-mic

by using first model=generic I got working both speakers and headphones at same time. In the moment I am testing all scenarios and the result :-(

Here are available addresses of outputs:
[ 6.763392] bus: 'hdaudio': really_probe: probing driver snd_hda_codec_realtek with device hdaudioC0D0
[ 6.763393] snd_hda_codec_realtek hdaudioC0D0: no default pinctrl state
[ 6.763972] snd_hda_codec_realtek hdaudioC0D0: autoconfig for ALC3266: line_outs=1 (0x17/0x0/0x0/0x0/0x0) type:speaker
[ 6.763973] snd_hda_codec_realtek hdaudioC0D0: speaker_outs=0 (0x0/0x0/0x0/0x0/0x0)
[ 6.763973] snd_hda_codec_realtek hdaudioC0D0: hp_outs=1 (0x21/0x0/0x0/0x0/0x0)
[ 6.763974] snd_hda_codec_realtek hdaudioC0D0: mono: mono_out=0x0
[ 6.763974] snd_hda_codec_realtek hdaudioC0D0: inputs:
[ 6.763975] snd_hda_codec_realtek hdaudioC0D0: Headset Mic=0x18
[ 6.763976] snd_hda_codec_realtek hdaudioC0D0: Headphone Mic=0x1a
[ 6.763976] snd_hda_codec_realtek hdaudioC0D0: Internal Mic=0x12
[ 9.099842] driver: 'snd_hda_codec_realtek': driver_bound: bound to device 'hdaudioC0D0'
[ 9.099850] bus: 'hdaudio': really_probe: bound device hdaudioC0D0 to driver snd_hda_codec_realtek
[ 9.100055] bus: 'hdaudio': driver_probe_device: matched device hdaudioC0D2 with driver snd_hda_codec_generic
[ 9.100055] bus: 'hdaudio': really_probe: probing driver snd_hda_codec_generic with device hdaudioC0D2
[ 9.100057] snd_hda_codec_generic hdaudioC0D2: no default pinctrl state
[ 9.100152] snd_hda_codec_generic hdaudioC0D2: autoconfig for Generic: line_outs=0 (0x0/0x0/0x0/0x0/0x0) type:line
[ 9.101819] ALSA device list:
[ 9.106806] snd_hda_codec_generic hdaudioC0D2: speaker_outs=0 (0x0/0x0/0x0/0x0/0x0)
[ 9.106806] snd_hda_codec_generic hdaudioC0D2: ...

Read more...

archenroot (archenroot-gmail) wrote :

Another related bug is available on related bug in Arch:
https://bugs.archlinux.org/task/49157

Interesting is suggestion about possible HDMI vs sound conflicts:

Comment by Drew Tramutolo (WhitleyStriber) - Monday, 08 August 2016, 14:28 GMT
When I changed video drivers, the problem seemed to morph into a different problem.

When I use nouveau/intel with bumblebee, it seems that plugging headphones in constantly works like it should. Headphones show up as headphones and the computer seems to recognize both. BUT... there is no sound from the headphones, even after a restart. I am starting to believe that this is an issue with either the nvidia driver, or bumblebee/optimus. I think I had read in the past that the sound is conflicting with the HDMI port or something like that. I reverted back to nvidia due to compatibility issues with nouveau (or I'm just not reading all the necessary documentation) and this original problem came back.

Mark (varspare) wrote :

From @archenroot's posts I tried the following settings which does seem to have got the speakers and headphones working properly (no mic as yet but I'll have a play with that later)

added the following to /etc/modprobe.d/alsa.conf
options snd-hda-intel single_cmd=1
options snd-hda-intel probe_mask=1
options snd-hda-intel model=generic

Now I only ever see one output device; speakers or headphones (when plugged in). HDMI doesn't recognise at all (although that's not a major issue since it doesn't output video anyway)

Setup;
PC: XPS-9360
OS: Ubuntu-16.04
BIOS: 1.0.7
Kernel: 4.4.0-53-generic

XPS 15 9550
Ubuntu 16.10
BIOS: 1.2.16

I have this same issue. Suspending and un-suspending works for me.

BlackDex (black-dex) wrote :

I have the same problems, suspend/un-suspend solves the issue.

Ubuntu 16.04 (Tested with default, hwe and mainline 4.9.1 kernels)

Manufacturer: Dell Inc.
Product Name: Latitude E5550 ( 0THWR2 )
BIOS Version: A13
BIOS Release Date: 06/23/2016

X Monkee (xmonkee) wrote :

I have the same problem. Suspend/wake works if audio is already playing. Funny thing is that it was all working fine till one day it stopped.

Dell Precision 5510
kernel 4.8.0-34-generic
Ubuntu 16.04

http://www.alsa-project.org/db/?f=d305b056d9ac040c0ca4b360e0cf16007bae81ea

vs49688 (vs49688) wrote :

Seems a good ol' "sudo alsa force-reload" with the headphones plugged in solves it, albeit until reboot.

Bart van Deenen (bvdeenen) wrote :

I created /etc/modprobe.d/alsa.conf containing:
options snd-hda-intel single_cmd=1 probe_mask=1 model=dell-headset-multi

Now it works fine, plug headset in, take it out no problem.

uname -a
Linux deene500-xps 4.9.11_1 #1 SMP PREEMPT Sun Feb 19 01:13:39 UTC 2017 x86_64 GNU/Linux

I don't know if the microphone works, but that's not a concern of me on this laptop.

laptop Dell XPS-15 9550

Bart van Deenan's solution worked perfectly for me! Thank you!

Ubuntu 16.10
uname: 4.8.0-39-generic #42-Ubuntu SMP Mon Feb 20 11:47:27 UTC 2017 x86_64
x86_64 x86_64 GNU/Linux

On Sun, Feb 26, 2017 at 12:12 PM, Bart van Deenen <
<email address hidden>> wrote:

> I created /etc/modprobe.d/alsa.conf containing:
> options snd-hda-intel single_cmd=1 probe_mask=1 model=dell-headset-multi
>
> Now it works fine, plug headset in, take it out no problem.
>
> uname -a
> Linux deene500-xps 4.9.11_1 #1 SMP PREEMPT Sun Feb 19 01:13:39 UTC 2017
> x86_64 GNU/Linux
>
> I don't know if the microphone works, but that's not a concern of me on
> this laptop.
>
> laptop Dell XPS-15 9550
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1575078
>
> Title:
> [XPS 15 9550, Realtek ALC3266] Headphone jack stops working after a
> while
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+
> bug/1575078/+subscriptions
>

Krister Trangius (trangius) wrote :

I have the same issue. None of the solutions described above works for me (suspend/resume, Vart van Deenen's solution, "sudo alsa force-reload" or anything else). The settings in control center/sound detects that the headphones are plugged in, but sound comes out of them.

Sound from speakers work fine, also headphones with USB DAC/amplifier works.

Laptop Dell XPS 9550
Unbuntu Gnome 16.10
BIOS 1.2.19

uname -a
Linux elefant 4.8.0-39-generic #42-Ubuntu SMP Mon Feb 20 11:47:27 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

Nathan Hernandez (nateh1337) wrote :

Somewhere along the way I stopped having this issue and I'm mostly certain that it was due to a kernel update (not positive). Try updating to the most recent linux kernel release and seeing if it helps. I'm running 4.10.1 right now, but it seemed to be fixed several releases earlier.

Krister Trangius (trangius) wrote :

I updated to kernel 4.10.1 but still no success. I also tried the solutions mentioned above, but with no success :(

Carl Mueller (cmuell89) wrote :

Suspend fixes problem for me. Dell Precision 5520.

Jayd (jayd-lawrence) wrote :

Had the same when I installed the invidia driver, but then reverted to xorg one when it wouldn't allow screen rotate.

Suspend unsuspend sorted it for me.
Thanks

Anmar Oueja (anmar) wrote :

I am using Linux xps 4.8.0-45-generic #48~16.04.1-Ubuntu SMP Fri Mar 24 12:46:56 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux and suspend them resume fixed the problem.

Jess Bermudes (jbermudes) wrote :

Bart van Deenan's solution worked for me under Ubuntu 16.10 but under 17.04 it seems to no longer fix the issue and headphones produce no sound.

Dell XPS 15 9550
Ubuntu 17.04
4.10.0-20-generic

Craig Carnell (craig-carnell) wrote :

I have the same issue:

Dell XPS 15 9560
Ubuntu 17.04
4.10.0-20-generic

Marian Brockerhoff (88888mb) wrote :

Headphone jack just stopped working.
Probably at the same time to the recent kernel upgrade.

4.8.0-51-generic 16.04.2 LTS Xubuntu xfce

http://www.alsa-project.org/db/?f=a39b9f9ae1c35a8e46e417861d66567d62e87269

Marian Brockerhoff (88888mb) wrote :

PS: hardware is a lenovo x240 ...

$ lspci
00:00.0 Host bridge: Intel Corporation Haswell-ULT DRAM Controller (rev 0b)
00:02.0 VGA compatible controller: Intel Corporation Haswell-ULT Integrated Graphics Controller (rev 0b)
00:03.0 Audio device: Intel Corporation Haswell-ULT HD Audio Controller (rev 0b)
00:14.0 USB controller: Intel Corporation 8 Series USB xHCI HC (rev 04)
00:16.0 Communication controller: Intel Corporation 8 Series HECI #0 (rev 04)
00:19.0 Ethernet controller: Intel Corporation Ethernet Connection I218-LM (rev 04)
00:1b.0 Audio device: Intel Corporation 8 Series HD Audio Controller (rev 04)
00:1c.0 PCI bridge: Intel Corporation 8 Series PCI Express Root Port 6 (rev e4)
00:1d.0 USB controller: Intel Corporation 8 Series USB EHCI #1 (rev 04)
00:1f.0 ISA bridge: Intel Corporation 8 Series LPC Controller (rev 04)
00:1f.2 SATA controller: Intel Corporation 8 Series SATA Controller 1 [AHCI mode] (rev 04)
00:1f.3 SMBus: Intel Corporation 8 Series SMBus Controller (rev 04)

Marian Brockerhoff (88888mb) wrote :

upgraded from 4.8.0-51 to 4.10.0-20-generic = SOLVED - headphone jack works again after reboot.

Sam Banks (sam-wth) wrote :

On 17.04 running 4.10.0-20-generic I get it loud in one ear and quiet in the other.

Leandro Heck (leoheck) wrote :

I am also on Ubuntu 170.04 (Kernel 4.10.0-24-generic) and this headphone issue is driving me crazy. I would like to know if there is a workaround to move the sound to headphones forever?

Leandro Heck (leoheck) wrote :

Same on Linux rock 4.10.0-30-generic. Sound card keeps disappearing.

Bart van Deenen (bvdeenen)'s solution perfectly worked for me! Thank you!

Dell Inspiron 7000 (7460)
Arch Linux
Linux 4.12.8-2-ARCH #1 SMP PREEMPT

David H. Wilkins (dwilkins) wrote :

Solved?

Thanks for this forum Ubuntu. I'm a Fedora user, but I frequently find solutions here

I have an XPS 9550 along with the issue of the headphone microphone not working. I changed /etc/modprobe.d/alsa.conf from:

options snd-hda-intel single_cmd=1 probe_mask=1 model=dell-headset-multi

to:

options snd-hda-intel single_cmd=1 probe_mask=1 model=headset-mic

And now my headphone microphone works. There is no annoying popup when you plug in the headphones either. Hopefully this helps someone.

I recently updated my system to ubuntu 17.10 daily build on 9/25. The
audio port works perfectly without any modifications to the stock install.

On Mon, Oct 2, 2017 at 8:33 PM, David H. Wilkins <<email address hidden>
> wrote:

> Solved?
>
> Thanks for this forum Ubuntu. I'm a Fedora user, but I frequently find
> solutions here
>
> I have an XPS 9550 along with the issue of the headphone microphone not
> working. I changed /etc/modprobe.d/alsa.conf from:
>
> options snd-hda-intel single_cmd=1 probe_mask=1 model=dell-headset-multi
>
> to:
>
> options snd-hda-intel single_cmd=1 probe_mask=1 model=headset-mic
>
> And now my headphone microphone works. There is no annoying popup when
> you plug in the headphones either. Hopefully this helps someone.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1575078
>
> Title:
> [XPS 15 9550, Realtek ALC3266] Headphone jack stops working after a
> while
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+
> bug/1575078/+subscriptions
>

Alexander Adam (7ql6) wrote :

I can confirm what Jess (jbermudes) wrote: issue can't be solved in 17.04 with the proposal so I hope for the best in 17.10.

Alexander Adam (7ql6) wrote :

I can't confirm what Kasey (kasey-erickson) wrote: issue still appears in Ubuntu 17.10.
I upgraded from 17.04. So if it really should be fixed in 17.10 I'm very open to hints for particular config purges/reinstallations or actually anything that could help.

When I upgraded to 17.10 I made sure it was a fresh install, not an
in-place upgrade. Sometimes broken configurations are left over when
upgrading in place.

On Mon, Nov 13, 2017 at 3:50 AM, Alexander Adam <email address hidden>
wrote:

> I can't confirm what Kasey (kasey-erickson) wrote: issue still appears in
> Ubuntu 17.10.
> I upgraded from 17.04. So if it really should be fixed in 17.10 I'm very
> open to hints for particular config purges/reinstallations or actually
> anything that could help.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1575078
>
> Title:
> [XPS 15 9550, Realtek ALC3266] Headphone jack stops working after a
> while
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+
> bug/1575078/+subscriptions
>

Paul Brodersen (paulbrodersen) wrote :

XPS 15 9560, linux kernel 4.10.0-38-generic, Ubuntu 17.04

After trying everything in this thread (and failing) I finally got my sound back on my headphones.

1) Install:
sudo apt-get install alsa-tools-gui

2) Launch:
hdajackretask

3) Check 'Show unconnected pins'

4) Check "override" on 0x21.

5) Apply; test sound.

6) If everything all is good now, press "install boot override"

Based on:
https://askubuntu.com/questions/895397/microphone-is-not-working-on-ubuntu-16-04

Tom (tom-lorinthe) wrote :

Had same problems on my Dell XPS 15 9560. The last solution of Paul did it for me, running ``hdajackretask``. But in my case, I had to uncheck the override boxes. I remember I had to check them in the past, so I presume a recent update (kernel? I have 17.04 with 4.10.0-42-generic) changed things.... Is it back to normal now? Dont know...

Anyway, all seems perfect now :)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers